This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 221069 - Incorrect lastcomm description
Incorrect lastcomm description
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: psacct (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-31 18:49 EST by JW
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 06:03:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description JW 2006-12-31 18:49:06 EST
Description of problem:
Manual entry for lastcomm describes time field as "time the process exited"
which is incorrect.

Version-Release number of selected component (if applicable):
6.3.2-37

How reproducible:
Always

Steps to Reproduce:
1.man lastcomm
2.
3.
  
Actual results:
Manual entry for lastcomm describes time field as "time the process exited"
which is incorrect.

Expected results:
Should say "time the process started".

Additional info:
The pertinent element in struct acct is ac_btime which is the process creation
time.  There is nothing in the accounting which stores the process termination
time (there probably should be, however).
Comment 1 Ivana Varekova 2007-01-02 06:03:26 EST
Fixed in psacct-6.3.2-42.fc7.

Note You need to log in before you can comment on or make changes to this bug.